For the complete documentation index, see llms.txt. This page is also available as Markdown.

IBC

IncentivizedPackets returns all incentivized packets and their associated fees

get
Query parameters
pagination.keyanyOptional

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetanyOptional

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitanyOptional

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalanyOptional

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseanyOptional

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

query_heightanyOptional

block height at which to query.

Responses
200

A successful response.

application/json
get/ibc/apps/fee/v1/incentivized_packets
GET /ibc/apps/fee/v1/incentivized_packets HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "incentivized_packets": [
    {
      "packet_id": {
        "port_id": "text",
        "channel_id": "text",
        "sequence": "text"
      },
      "packet_fees": [
        {
          "fee": {
            "recv_fee": [
              {
                "denom": "text",
                "amount": "text"
              }
            ],
            "ack_fee": [
              {
                "denom": "text",
                "amount": "text"
              }
            ],
            "timeout_fee": [
              {
                "denom": "text",
                "amount": "text"
              }
            ]
          },
          "refund_address": "text",
          "relayers": [
            "text"
          ]
        }
      ]
    }
  ],
  "pagination": {
    "next_key": "Ynl0ZXM=",
    "total": "text"
  }
}

IncentivizedPacket returns all packet fees for a packet given its identifier

get
Path parameters
packet_id.channel_idanyRequired

channel unique identifier

packet_id.port_idanyRequired

channel port identifier

packet_id.sequenceanyRequired

packet sequence

Query parameters
query_heightanyOptional

block height at which to query.

Responses
200

A successful response.

application/json
get/ibc/apps/fee/v1/channels/{packet_id.channel_id}/ports/{packet_id.port_id}/sequences/{packet_id.sequence}/incentivized_packet
GET /ibc/apps/fee/v1/channels/{packet_id.channel_id}/ports/{packet_id.port_id}/sequences/{packet_id.sequence}/incentivized_packet HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "incentivized_packet": {
    "packet_id": {
      "port_id": "text",
      "channel_id": "text",
      "sequence": "text"
    },
    "packet_fees": [
      {
        "fee": {
          "recv_fee": [
            {
              "denom": "text",
              "amount": "text"
            }
          ],
          "ack_fee": [
            {
              "denom": "text",
              "amount": "text"
            }
          ],
          "timeout_fee": [
            {
              "denom": "text",
              "amount": "text"
            }
          ]
        },
        "refund_address": "text",
        "relayers": [
          "text"
        ]
      }
    ]
  }
}

Gets all incentivized packets for a specific channel

get
Path parameters
channel_idanyRequired
port_idanyRequired
Query parameters
pagination.keyanyOptional

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetanyOptional

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitanyOptional

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalanyOptional

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseanyOptional

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

query_heightanyOptional

Height to query at.

Responses
200

A successful response.

application/json
get/ibc/apps/fee/v1/channels/{channel_id}/ports/{port_id}/incentivized_packets
GET /ibc/apps/fee/v1/channels/{channel_id}/ports/{port_id}/incentivized_packets HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "incentivized_packets": [
    {
      "packet_id": {
        "port_id": "text",
        "channel_id": "text",
        "sequence": "text"
      },
      "packet_fees": [
        {
          "fee": {
            "recv_fee": [
              {
                "denom": "text",
                "amount": "text"
              }
            ],
            "ack_fee": [
              {
                "denom": "text",
                "amount": "text"
              }
            ],
            "timeout_fee": [
              {
                "denom": "text",
                "amount": "text"
              }
            ]
          },
          "refund_address": "text",
          "relayers": [
            "text"
          ]
        }
      ]
    }
  ],
  "pagination": {
    "next_key": "Ynl0ZXM=",
    "total": "text"
  }
}

Channel queries an IBC Channel.

get
Path parameters
channel_idanyRequired

channel unique identifier

port_idanyRequired

port unique identifier

Responses
200

A successful response.

application/json

QueryChannelResponse is the response type for the Query/Channel RPC method. Besides the Channel end, it includes a proof and the height from which the proof was retrieved.

proofstring · byteOptional
get/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}
GET /ibc/core/channel/v1/channels/{channel_id}/ports/{port_id} HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "channel": {
    "state": "STATE_UNINITIALIZED_UNSPECIFIED",
    "ordering": "ORDER_NONE_UNSPECIFIED",
    "counterparty": {
      "port_id": "text",
      "channel_id": "text"
    },
    "connection_hops": [
      "text"
    ],
    "version": "text",
    "upgrade_sequence": "text"
  },
  "proof": "Ynl0ZXM=",
  "proof_height": {
    "revision_number": "text",
    "revision_height": "text"
  }
}

Connection queries an IBC connection end.

get
Path parameters
connection_idanyRequired

connection unique identifier

Responses
200

A successful response.

application/json

QueryConnectionResponse is the response type for the Query/Connection RPC method. Besides the connection end, it includes a proof and the height from which the proof was retrieved.

proofstring · byteOptional
get/ibc/core/connection/v1/connections/{connection_id}
GET /ibc/core/connection/v1/connections/{connection_id} HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "connection": {
    "client_id": "text",
    "versions": [
      {
        "identifier": "text",
        "features": [
          "text"
        ]
      }
    ],
    "state": "STATE_UNINITIALIZED_UNSPECIFIED",
    "counterparty": {
      "client_id": "text",
      "connection_id": "text",
      "prefix": {
        "key_prefix": "Ynl0ZXM="
      }
    },
    "delay_period": "text"
  },
  "proof": "Ynl0ZXM=",
  "proof_height": {
    "revision_number": "text",
    "revision_height": "text"
  }
}

ClientState queries an IBC light client.

get
Path parameters
client_idanyRequired

client state unique identifier

Responses
200

A successful response.

application/json

QueryClientStateResponse is the response type for the Query/ClientState RPC method. Besides the client state, it includes a proof and the height from which the proof was retrieved.

proofstring · byteOptional
get/ibc/core/client/v1/client_states/{client_id}
GET /ibc/core/client/v1/client_states/{client_id} HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "client_state": {
    "type_url": "text",
    "value": "Ynl0ZXM="
  },
  "proof": "Ynl0ZXM=",
  "proof_height": {
    "revision_number": "text",
    "revision_height": "text"
  }
}

Channels queries all the IBC channels of a chain.

get
Query parameters
pagination.keyanyOptional

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetanyOptional

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitanyOptional

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalanyOptional

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseanyOptional

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Responses
200

A successful response.

application/json

QueryChannelsResponse is the response type for the Query/Channels RPC method.

get/ibc/core/channel/v1/channels
GET /ibc/core/channel/v1/channels HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "channels": [
    {
      "state": "STATE_UNINITIALIZED_UNSPECIFIED",
      "ordering": "ORDER_NONE_UNSPECIFIED",
      "counterparty": {
        "port_id": "text",
        "channel_id": "text"
      },
      "connection_hops": [
        "text"
      ],
      "version": "text",
      "port_id": "text",
      "channel_id": "text",
      "upgrade_sequence": "text"
    }
  ],
  "pagination": {
    "next_key": "Ynl0ZXM=",
    "total": "text"
  },
  "height": {
    "revision_number": "text",
    "revision_height": "text"
  }
}

Connections queries all the IBC connections of a chain.

get
Query parameters
pagination.keyanyOptional

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetanyOptional

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitanyOptional

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalanyOptional

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseanyOptional

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Responses
200

A successful response.

application/json

QueryConnectionsResponse is the response type for the Query/Connections RPC method.

get/ibc/core/connection/v1/connections
GET /ibc/core/connection/v1/connections HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "connections": [
    {
      "id": "text",
      "client_id": "text",
      "versions": [
        {
          "identifier": "text",
          "features": [
            "text"
          ]
        }
      ],
      "state": "STATE_UNINITIALIZED_UNSPECIFIED",
      "counterparty": {
        "client_id": "text",
        "connection_id": "text",
        "prefix": {
          "key_prefix": "Ynl0ZXM="
        }
      },
      "delay_period": "text"
    }
  ],
  "pagination": {
    "next_key": "Ynl0ZXM=",
    "total": "text"
  },
  "height": {
    "revision_number": "text",
    "revision_height": "text"
  }
}

Status queries the status of an IBC client.

get
Path parameters
client_idanyRequired

client unique identifier

Responses
200

A successful response.

application/json

QueryClientStatusResponse is the response type for the Query/ClientStatus RPC method. It returns the current status of the IBC client.

statusstringOptional
get/ibc/core/client/v1/client_status/{client_id}
GET /ibc/core/client/v1/client_status/{client_id} HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "status": "text"
}

ClientStates queries all the IBC light clients of a chain.

get
Query parameters
pagination.keyanyOptional

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetanyOptional

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitanyOptional

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalanyOptional

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseanyOptional

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Responses
200

A successful response.

application/json

QueryClientStatesResponse is the response type for the Query/ClientStates RPC method.

get/ibc/core/client/v1/client_states
GET /ibc/core/client/v1/client_states HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "client_states": [
    {
      "client_id": "text",
      "client_state": {
        "type_url": "text",
        "value": "Ynl0ZXM="
      }
    }
  ],
  "pagination": {
    "next_key": "Ynl0ZXM=",
    "total": "text"
  }
}

VerifyMembership queries an IBC light client for proof verification of a value at a given key path.

post
Body
client_idstringOptional

client unique identifier.

proofstring · byteOptional

the proof to be verified by the client.

valuestring · byteOptional

the value which is proven.

time_delaystring · uint64Optional
block_delaystring · uint64Optional
Responses
200

A successful response.

application/json
successbooleanOptional

boolean indicating success or failure of proof verification.

post/ibc/core/client/v1/verify_membership
POST /ibc/core/client/v1/verify_membership HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Content-Type: application/json
Accept: */*
Content-Length: 202

{
  "client_id": "text",
  "proof": "Ynl0ZXM=",
  "proof_height": {
    "revision_number": "text",
    "revision_height": "text"
  },
  "merkle_path": {
    "key_path": [
      "text"
    ]
  },
  "value": "Ynl0ZXM=",
  "time_delay": "text",
  "block_delay": "text"
}
{
  "success": true
}

EscrowAddress returns the escrow address for a particular port and channel id.

get
Path parameters
channel_idanyRequired

unique channel identifier

port_idanyRequired

unique port identifier

Responses
200

A successful response.

application/json

QueryEscrowAddressResponse is the response type of the EscrowAddress RPC method.

escrow_addressstringOptional
get/ibc/apps/transfer/v1/channels/{channel_id}/ports/{port_id}/escrow_address
GET /ibc/apps/transfer/v1/channels/{channel_id}/ports/{port_id}/escrow_address HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "escrow_address": "text"
}

DenomHash queries a denomination hash information.

get
Path parameters
traceanyRequired

The denomination trace ([port_id]/[channel_id])+/[denom]

Responses
200

A successful response.

application/json

QueryDenomHashResponse is the response type for the Query/DenomHash RPC method.

hashstringOptional

hash (in hex format) of the denomination trace information.

get/ibc/apps/transfer/v1/denom_hashes/{trace}
GET /ibc/apps/transfer/v1/denom_hashes/{trace} HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "hash": "text"
}

DenomTraces queries all denomination traces.

get
Query parameters
pagination.keyanyOptional

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetanyOptional

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitanyOptional

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalanyOptional

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseanyOptional

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Responses
200

A successful response.

application/json

QueryConnectionsResponse is the response type for the Query/DenomTraces RPC method.

get/ibc/apps/transfer/v1/denom_traces
GET /ibc/apps/transfer/v1/denom_traces HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "denom_traces": [
    {
      "path": "text",
      "base_denom": "text"
    }
  ],
  "pagination": {
    "next_key": "Ynl0ZXM=",
    "total": "text"
  }
}

DenomTrace queries a denomination trace information.

get
Path parameters
hashanyRequired

hash (in hex format) or denom (full denom with ibc prefix) of the denomination trace information.

Responses
200

A successful response.

application/json

QueryDenomTraceResponse is the response type for the Query/DenomTrace RPC method.

get/ibc/apps/transfer/v1/denom_traces/{hash}
GET /ibc/apps/transfer/v1/denom_traces/{hash} HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "denom_trace": {
    "path": "text",
    "base_denom": "text"
  }
}

Params queries all parameters of the ibc-transfer module.

get
Responses
200

A successful response.

application/json

QueryParamsResponse is the response type for the Query/Params RPC method.

get/ibc/apps/transfer/v1/params
GET /ibc/apps/transfer/v1/params HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "params": {
    "send_enabled": true,
    "receive_enabled": true
  }
}

FeeEnabledChannel returns true if the provided port and channel identifiers belong to a fee enabled channel

get
Path parameters
channel_idanyRequired

unique channel identifier

port_idanyRequired

unique port identifier

Responses
200

A successful response.

application/json
fee_enabledbooleanOptional
get/ibc/apps/fee/v1/channels/{channel_id}/ports/{port_id}/fee_enabled
GET /ibc/apps/fee/v1/channels/{channel_id}/ports/{port_id}/fee_enabled HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "fee_enabled": true
}

TotalEscrowForDenom returns the total amount of tokens in escrow based on the denom.

get
Path parameters
denomanyRequired
Responses
200

A successful response.

application/json

QueryTotalEscrowForDenomResponse is the response type for TotalEscrowForDenom RPC method.

get/ibc/apps/transfer/v1/denoms/{denom}/total_escrow
GET /ibc/apps/transfer/v1/denoms/{denom}/total_escrow HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "amount": {
    "denom": "text",
    "amount": "text"
  }
}

CounterpartyPayee returns the registered counterparty payee for forward relaying

get
Path parameters
channel_idanyRequired

unique channel identifier

relayeranyRequired

the relayer address to which the counterparty is registered

Responses
200

A successful response.

application/json
counterparty_payeestringOptional
get/ibc/apps/fee/v1/channels/{channel_id}/relayers/{relayer}/counterparty_payee
GET /ibc/apps/fee/v1/channels/{channel_id}/relayers/{relayer}/counterparty_payee HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "counterparty_payee": "text"
}

Payee returns the registered payee address for a specific channel given the relayer address

get
Path parameters
channel_idanyRequired

unique channel identifier

relayeranyRequired

the relayer address to which the distribution address is registered

Responses
200

A successful response.

application/json
payee_addressstringOptional
get/ibc/apps/fee/v1/channels/{channel_id}/relayers/{relayer}/payee
GET /ibc/apps/fee/v1/channels/{channel_id}/relayers/{relayer}/payee HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "payee_address": "text"
}

TotalAckFees returns the total acknowledgement fees for a packet given its identifier

get
Path parameters
packet_id.channel_idanyRequired

channel unique identifier

packet_id.port_idanyRequired

channel port identifier

packet_id.sequenceanyRequired

packet sequence

Responses
200

A successful response.

application/json
get/ibc/apps/fee/v1/channels/{packet_id.channel_id}/ports/{packet_id.port_id}/sequences/{packet_id.sequence}/total_ack_fees
GET /ibc/apps/fee/v1/channels/{packet_id.channel_id}/ports/{packet_id.port_id}/sequences/{packet_id.sequence}/total_ack_fees HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "ack_fees": [
    {
      "denom": "text",
      "amount": "text"
    }
  ]
}

TotalRecvFees returns the total receive fees for a packet given its identifier

get
Path parameters
packet_id.channel_idanyRequired

channel unique identifier

packet_id.port_idanyRequired

channel port identifier

packet_id.sequenceanyRequired

packet sequence

Responses
200

A successful response.

application/json
get/ibc/apps/fee/v1/channels/{packet_id.channel_id}/ports/{packet_id.port_id}/sequences/{packet_id.sequence}/total_recv_fees
GET /ibc/apps/fee/v1/channels/{packet_id.channel_id}/ports/{packet_id.port_id}/sequences/{packet_id.sequence}/total_recv_fees HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "recv_fees": [
    {
      "denom": "text",
      "amount": "text"
    }
  ]
}

TotalTimeoutFees returns the total timeout fees for a packet given its identifier

get
Path parameters
packet_id.channel_idanyRequired

channel unique identifier

packet_id.port_idanyRequired

channel port identifier

packet_id.sequenceanyRequired

packet sequence

Responses
200

A successful response.

application/json
get/ibc/apps/fee/v1/channels/{packet_id.channel_id}/ports/{packet_id.port_id}/sequences/{packet_id.sequence}/total_timeout_fees
GET /ibc/apps/fee/v1/channels/{packet_id.channel_id}/ports/{packet_id.port_id}/sequences/{packet_id.sequence}/total_timeout_fees HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "timeout_fees": [
    {
      "denom": "text",
      "amount": "text"
    }
  ]
}

FeeEnabledChannels returns a list of all fee enabled channels

get
Query parameters
pagination.keyanyOptional

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetanyOptional

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitanyOptional

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalanyOptional

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseanyOptional

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

query_heightanyOptional

block height at which to query.

Responses
200

A successful response.

application/json
get/ibc/apps/fee/v1/fee_enabled
GET /ibc/apps/fee/v1/fee_enabled HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "fee_enabled_channels": [
    {
      "port_id": "text",
      "channel_id": "text"
    }
  ],
  "pagination": {
    "next_key": "Ynl0ZXM=",
    "total": "text"
  }
}

InterchainAccount returns the interchain account address for a given owner address on a given connection

get
Path parameters
owneranyRequired
connection_idanyRequired
Responses
200

A successful response.

application/json

QueryInterchainAccountResponse the response type for the Query/InterchainAccount RPC method.

addressstringOptional
get/ibc/apps/interchain_accounts/controller/v1/owners/{owner}/connections/{connection_id}
GET /ibc/apps/interchain_accounts/controller/v1/owners/{owner}/connections/{connection_id} HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "address": "text"
}

Params queries all parameters of the ICA controller submodule.

get
Responses
200

A successful response.

application/json

QueryParamsResponse is the response type for the Query/Params RPC method.

get/ibc/apps/interchain_accounts/controller/v1/params
GET /ibc/apps/interchain_accounts/controller/v1/params HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "params": {
    "controller_enabled": true
  }
}

Params queries all parameters of the ICA host submodule.

get
Responses
200

A successful response.

application/json

QueryParamsResponse is the response type for the Query/Params RPC method.

get/ibc/apps/interchain_accounts/host/v1/params
GET /ibc/apps/interchain_accounts/host/v1/params HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "params": {
    "host_enabled": true,
    "allow_messages": [
      "text"
    ]
  }
}

ChannelConsensusState queries for the consensus state for the channel associated with the provided channel identifiers.

get
Path parameters
channel_idanyRequired

channel unique identifier

port_idanyRequired

port unique identifier

revision_numberanyRequired

revision number of the consensus state

revision_heightanyRequired

revision height of the consensus state

Responses
200

A successful response.

application/json
client_idstringOptional
proofstring · byteOptional
get/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/consensus_state/revision/{revision_number}/height/{revision_height}
GET /ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/consensus_state/revision/{revision_number}/height/{revision_height} HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "consensus_state": {
    "type_url": "text",
    "value": "Ynl0ZXM="
  },
  "client_id": "text",
  "proof": "Ynl0ZXM=",
  "proof_height": {
    "revision_number": "text",
    "revision_height": "text"
  }
}

NextSequenceReceive returns the next receive sequence for a given channel.

get
Path parameters
channel_idanyRequired

channel unique identifier

port_idanyRequired

port unique identifier

Responses
200

A successful response.

application/json
next_sequence_receivestring · uint64Optional
proofstring · byteOptional
get/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/next_sequence
GET /ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/next_sequence HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "next_sequence_receive": "text",
  "proof": "Ynl0ZXM=",
  "proof_height": {
    "revision_number": "text",
    "revision_height": "text"
  }
}

ChannelClientState queries for the client state for the channel associated with the provided channel identifiers.

get
Path parameters
channel_idanyRequired

channel unique identifier

port_idanyRequired

port unique identifier

Responses
200

A successful response.

application/json
proofstring · byteOptional
get/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/client_state
GET /ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/client_state HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "identified_client_state": {
    "client_id": "text",
    "client_state": {
      "type_url": "text",
      "value": "Ynl0ZXM="
    }
  },
  "proof": "Ynl0ZXM=",
  "proof_height": {
    "revision_number": "text",
    "revision_height": "text"
  }
}

NextSequenceSend returns the next send sequence for a given channel.

get
Path parameters
channel_idanyRequired

channel unique identifier

port_idanyRequired

port unique identifier

Responses
200

A successful response.

application/json
next_sequence_sendstring · uint64Optional
proofstring · byteOptional
get/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/next_sequence_send
GET /ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/next_sequence_send HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "next_sequence_send": "text",
  "proof": "Ynl0ZXM=",
  "proof_height": {
    "revision_number": "text",
    "revision_height": "text"
  }
}

PacketAcknowledgements returns all the packet acknowledgements associated with a channel.

get
Path parameters
channel_idanyRequired

channel unique identifier

port_idanyRequired

port unique identifier

Query parameters
pagination.keyanyOptional

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetanyOptional

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitanyOptional

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalanyOptional

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseanyOptional

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

packet_commitment_sequencesanyOptional

list of packet sequences.

Responses
200

A successful response.

application/json
get/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_acknowledgements
GET /ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_acknowledgements HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "acknowledgements": [
    {
      "port_id": "text",
      "channel_id": "text",
      "sequence": "text",
      "data": "Ynl0ZXM="
    }
  ],
  "pagination": {
    "next_key": "Ynl0ZXM=",
    "total": "text"
  },
  "height": {
    "revision_number": "text",
    "revision_height": "text"
  }
}

PacketAcknowledgement queries a stored packet acknowledgement hash.

get
Path parameters
channel_idanyRequired

channel unique identifier

port_idanyRequired

port unique identifier

sequenceanyRequired

packet sequence

Responses
200

A successful response.

application/json
acknowledgementstring · byteOptional
proofstring · byteOptional
get/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_acks/{sequence}
GET /ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_acks/{sequence} HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "acknowledgement": "Ynl0ZXM=",
  "proof": "Ynl0ZXM=",
  "proof_height": {
    "revision_number": "text",
    "revision_height": "text"
  }
}

PacketCommitments returns all the packet commitments hashes associated with a channel.

get
Path parameters
channel_idanyRequired

channel unique identifier

port_idanyRequired

port unique identifier

Query parameters
pagination.keyanyOptional

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetanyOptional

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitanyOptional

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalanyOptional

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseanyOptional

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Responses
200

A successful response.

application/json
get/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments
GET /ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "commitments": [
    {
      "port_id": "text",
      "channel_id": "text",
      "sequence": "text",
      "data": "Ynl0ZXM="
    }
  ],
  "pagination": {
    "next_key": "Ynl0ZXM=",
    "total": "text"
  },
  "height": {
    "revision_number": "text",
    "revision_height": "text"
  }
}

UnreceivedAcks returns all the unreceived IBC acknowledgements associated with a channel and sequences.

get
Path parameters
channel_idanyRequired

channel unique identifier

port_idanyRequired

port unique identifier

packet_ack_sequencesanyRequired

list of acknowledgement sequences

Responses
200

A successful response.

application/json
sequencesstring · uint64[]Optional
get/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments/{packet_ack_sequences}/unreceived_acks
GET /ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments/{packet_ack_sequences}/unreceived_acks HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "sequences": [
    "text"
  ],
  "height": {
    "revision_number": "text",
    "revision_height": "text"
  }
}

UnreceivedPackets returns all the unreceived IBC packets associated with a channel and sequences.

get
Path parameters
channel_idanyRequired

channel unique identifier

port_idanyRequired

port unique identifier

packet_commitment_sequencesanyRequired

list of packet sequences

Responses
200

A successful response.

application/json
sequencesstring · uint64[]Optional
get/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments/{packet_commitment_sequences}/unreceived_packets
GET /ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments/{packet_commitment_sequences}/unreceived_packets HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "sequences": [
    "text"
  ],
  "height": {
    "revision_number": "text",
    "revision_height": "text"
  }
}

PacketCommitment queries a stored packet commitment hash.

get
Path parameters
channel_idanyRequired

channel unique identifier

port_idanyRequired

port unique identifier

sequenceanyRequired

packet sequence

Responses
200

A successful response.

application/json
commitmentstring · byteOptional
proofstring · byteOptional
get/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments/{sequence}
GET /ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments/{sequence} HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "commitment": "Ynl0ZXM=",
  "proof": "Ynl0ZXM=",
  "proof_height": {
    "revision_number": "text",
    "revision_height": "text"
  }
}

PacketReceipt queries if a given packet sequence has been received on the queried chain

get
Path parameters
channel_idanyRequired

channel unique identifier

port_idanyRequired

port unique identifier

sequenceanyRequired

packet sequence

Responses
200

A successful response.

application/json
receivedbooleanOptional
proofstring · byteOptional
get/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_receipts/{sequence}
GET /ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_receipts/{sequence} HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "received": true,
  "proof": "Ynl0ZXM=",
  "proof_height": {
    "revision_number": "text",
    "revision_height": "text"
  }
}

Upgrade returns the upgrade for a given port and channel id.

get
Path parameters
channel_idanyRequired
port_idanyRequired
Responses
200

A successful response.

application/json
proofstring · byteOptional
get/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/upgrade
GET /ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/upgrade HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "upgrade": {
    "fields": {
      "ordering": "ORDER_NONE_UNSPECIFIED",
      "connection_hops": [
        "text"
      ],
      "version": "text"
    },
    "timeout": {
      "height": {
        "revision_number": "text",
        "revision_height": "text"
      },
      "timestamp": "text"
    },
    "next_sequence_send": "text"
  },
  "proof": "Ynl0ZXM=",
  "proof_height": {
    "revision_number": "text",
    "revision_height": "text"
  }
}

UpgradeError returns the error receipt if the upgrade handshake failed.

get
Path parameters
channel_idanyRequired
port_idanyRequired
Responses
200

A successful response.

application/json
proofstring · byteOptional
get/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/upgrade_error
GET /ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/upgrade_error HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "error_receipt": {
    "sequence": "text",
    "message": "text"
  },
  "proof": "Ynl0ZXM=",
  "proof_height": {
    "revision_number": "text",
    "revision_height": "text"
  }
}

ConnectionChannels queries all the channels associated with a connection end.

get
Path parameters
connectionanyRequired

connection unique identifier

Query parameters
pagination.keyanyOptional

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetanyOptional

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitanyOptional

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalanyOptional

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseanyOptional

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Responses
200

A successful response.

application/json
get/ibc/core/channel/v1/connections/{connection}/channels
GET /ibc/core/channel/v1/connections/{connection}/channels HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "channels": [
    {
      "state": "STATE_UNINITIALIZED_UNSPECIFIED",
      "ordering": "ORDER_NONE_UNSPECIFIED",
      "counterparty": {
        "port_id": "text",
        "channel_id": "text"
      },
      "connection_hops": [
        "text"
      ],
      "version": "text",
      "port_id": "text",
      "channel_id": "text",
      "upgrade_sequence": "text"
    }
  ],
  "pagination": {
    "next_key": "Ynl0ZXM=",
    "total": "text"
  },
  "height": {
    "revision_number": "text",
    "revision_height": "text"
  }
}

ChannelParams queries all parameters of the ibc channel submodule.

get
Responses
200

A successful response.

application/json

QueryChannelParamsResponse is the response type for the Query/ChannelParams RPC method.

get/ibc/core/channel/v1/params
GET /ibc/core/channel/v1/params HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "params": {
    "upgrade_timeout": {
      "height": {
        "revision_number": "text",
        "revision_height": "text"
      },
      "timestamp": "text"
    }
  }
}

ClientConnections queries the connection paths associated with a client state.

get
Path parameters
client_idanyRequired

client identifier associated with a connection

Responses
200

A successful response.

application/json
connection_pathsstring[]Optional

slice of all the connection paths associated with a client.

proofstring · byteOptional
get/ibc/core/connection/v1/client_connections/{client_id}
GET /ibc/core/connection/v1/client_connections/{client_id} HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "connection_paths": [
    "text"
  ],
  "proof": "Ynl0ZXM=",
  "proof_height": {
    "revision_number": "text",
    "revision_height": "text"
  }
}

ConnectionClientState queries the client state associated with the connection.

get
Path parameters
connection_idanyRequired

connection identifier

Responses
200

A successful response.

application/json
proofstring · byteOptional
get/ibc/core/connection/v1/connections/{connection_id}/client_state
GET /ibc/core/connection/v1/connections/{connection_id}/client_state HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "identified_client_state": {
    "client_id": "text",
    "client_state": {
      "type_url": "text",
      "value": "Ynl0ZXM="
    }
  },
  "proof": "Ynl0ZXM=",
  "proof_height": {
    "revision_number": "text",
    "revision_height": "text"
  }
}

ConnectionConsensusState queries the consensus state associated with the connection.

get
Path parameters
connection_idanyRequired

connection identifier

revision_numberanyRequired
revision_heightanyRequired
Responses
200

A successful response.

application/json
client_idstringOptional
proofstring · byteOptional
get/ibc/core/connection/v1/connections/{connection_id}/consensus_state/revision/{revision_number}/height/{revision_height}
GET /ibc/core/connection/v1/connections/{connection_id}/consensus_state/revision/{revision_number}/height/{revision_height} HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "consensus_state": {
    "type_url": "text",
    "value": "Ynl0ZXM="
  },
  "client_id": "text",
  "proof": "Ynl0ZXM=",
  "proof_height": {
    "revision_number": "text",
    "revision_height": "text"
  }
}

ConnectionParams queries all parameters of the ibc connection submodule.

get
Responses
200

A successful response.

application/json

QueryConnectionParamsResponse is the response type for the Query/ConnectionParams RPC method.

get/ibc/core/connection/v1/params
GET /ibc/core/connection/v1/params HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "params": {
    "max_expected_time_per_block": "text"
  }
}

ConsensusStates queries all the consensus state associated with a given client.

get
Path parameters
client_idanyRequired

client identifier

Query parameters
pagination.keyanyOptional

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetanyOptional

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitanyOptional

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalanyOptional

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseanyOptional

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Responses
200

A successful response.

application/json
get/ibc/core/client/v1/consensus_states/{client_id}
GET /ibc/core/client/v1/consensus_states/{client_id} HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "consensus_states": [
    {
      "height": {
        "revision_number": "text",
        "revision_height": "text"
      },
      "consensus_state": {
        "type_url": "text",
        "value": "Ynl0ZXM="
      }
    }
  ],
  "pagination": {
    "next_key": "Ynl0ZXM=",
    "total": "text"
  }
}

ConsensusStateHeights queries the height of every consensus states associated with a given client.

get
Path parameters
client_idanyRequired

client identifier

Query parameters
pagination.keyanyOptional

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetanyOptional

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitanyOptional

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalanyOptional

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseanyOptional

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Responses
200

A successful response.

application/json
get/ibc/core/client/v1/consensus_states/{client_id}/heights
GET /ibc/core/client/v1/consensus_states/{client_id}/heights HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "consensus_state_heights": [
    {
      "revision_number": "text",
      "revision_height": "text"
    }
  ],
  "pagination": {
    "next_key": "Ynl0ZXM=",
    "total": "text"
  }
}

ConsensusState queries a consensus state associated with a client state at a given height.

get
Path parameters
client_idanyRequired

client identifier

revision_numberanyRequired

consensus state revision number

revision_heightanyRequired

consensus state revision height

Query parameters
latest_heightanyOptional

latest_height overrrides the height field and queries the latest stored ConsensusState.

Responses
200

A successful response.

application/json
proofstring · byteOptional
get/ibc/core/client/v1/consensus_states/{client_id}/revision/{revision_number}/height/{revision_height}
GET /ibc/core/client/v1/consensus_states/{client_id}/revision/{revision_number}/height/{revision_height} HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "consensus_state": {
    "type_url": "text",
    "value": "Ynl0ZXM="
  },
  "proof": "Ynl0ZXM=",
  "proof_height": {
    "revision_number": "text",
    "revision_height": "text"
  }
}

ClientParams queries all parameters of the ibc client submodule.

get
Responses
200

A successful response.

application/json

QueryClientParamsResponse is the response type for the Query/ClientParams RPC method.

get/ibc/core/client/v1/params
GET /ibc/core/client/v1/params HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "params": {
    "allowed_clients": [
      "text"
    ]
  }
}

UpgradedClientState queries an Upgraded IBC light client.

get
Responses
200

A successful response.

application/json

QueryUpgradedClientStateResponse is the response type for the Query/UpgradedClientState RPC method.

get/ibc/core/client/v1/upgraded_client_states
GET /ibc/core/client/v1/upgraded_client_states HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "upgraded_client_state": {
    "type_url": "text",
    "value": "Ynl0ZXM="
  }
}

UpgradedConsensusState queries an Upgraded IBC consensus state.

get
Responses
200

A successful response.

application/json

QueryUpgradedConsensusStateResponse is the response type for the Query/UpgradedConsensusState RPC method.

get/ibc/core/client/v1/upgraded_consensus_states
GET /ibc/core/client/v1/upgraded_consensus_states HTTP/1.1
Host: lcd.uno.sentry.testnet.v3.kiivalidator.com
Accept: */*
{
  "upgraded_consensus_state": {
    "type_url": "text",
    "value": "Ynl0ZXM="
  }
}

Last updated